## ros-noetic-libpcan 0.6.18

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(libpcan)

find_package(catkin REQUIRED COMPONENTS)

catkin_destinations() # set-up destination variables
file(MAKE_DIRECTORY ${CATKIN_DEVEL_PREFIX}/${CATKIN_PACKAGE_INCLUDE_DESTINATION})

include(ExternalProject)
ExternalProject_Add(EP_${PROJECT_NAME}
    URL http://www.peak-system.com/fileadmin/media/linux/files/peak-linux-driver-8.3.tar.gz
    URL_MD5 d8d58223c1b1c03b891aa43763fec2cb

    CONFIGURE_COMMAND ""
    # patch include to bundle in one directory
    PATCH_COMMAND sed -i "/#include <pcan.h>/c\\#include \"pcan.h\"" ${PROJECT_BINARY_DIR}/${PROJECT_NAME}-src/lib/libpcan.h
    SOURCE_DIR ${PROJECT_BINARY_DIR}/${PROJECT_NAME}-src
    BUILD_IN_SOURCE 1
    BUILD_COMMAND make -C lib libpcan.so.0.6
        # copy headers to devel space (catkin does not like headers in source space)
        COMMAND ${CMAKE_COMMAND} -E copy_if_different ${PROJECT_BINARY_DIR}/${PROJECT_NAME}-src/lib/libpcan.h ${CATKIN_DEVEL_PREFIX}/${CATKIN_PACKAGE_INCLUDE_DESTINATION}
        COMMAND ${CMAKE_COMMAND} -E copy_if_different ${PROJECT_BINARY_DIR}/${PROJECT_NAME}-src/driver/pcan.h ${CATKIN_DEVEL_PREFIX}/${CATKIN_PACKAGE_INCLUDE_DESTINATION}
        # copy libs, set-up soname chain
        COMMAND ${CMAKE_COMMAND} -E copy_if_different ${PROJECT_BINARY_DIR}/${PROJECT_NAME}-src/lib/libpcan.so.0.6 ${CATKIN_DEVEL_PREFIX}/${CATKIN_PACKAGE_LIB_DESTINATION}
        COMMAND ${CMAKE_COMMAND} -E create_symlink libpcan.so.0 ${CATKIN_DEVEL_PREFIX}/${CATKIN_PACKAGE_LIB_DESTINATION}/libpcan.so
        COMMAND ${CMAKE_COMMAND} -E create_symlink libpcan.so.0.6 ${CATKIN_DEVEL_PREFIX}/${CATKIN_PACKAGE_LIB_DESTINATION}/libpcan.so.0
    INSTALL_COMMAND ""
)

catkin_package(
    CFG_EXTRAS libpcan-extras.cmake # catkin_package does not support artifacts in devel space
    EXPORTED_TARGETS EP_${PROJECT_NAME}
)

install(DIRECTORY ${CATKIN_DEVEL_PREFIX}/${CATKIN_PACKAGE_INCLUDE_DESTINATION}/
    DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

install(PROGRAMS ${CATKIN_DEVEL_PREFIX}/${CATKIN_PACKAGE_LIB_DESTINATION}/libpcan.so
                 ${CATKIN_DEVEL_PREFIX}/${CATKIN_PACKAGE_LIB_DESTINATION}/libpcan.so.0
                 ${CATKIN_DEVEL_PREFIX}/${CATKIN_PACKAGE_LIB_DESTINATION}/libpcan.so.0.6
    DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
)

=== debian/changelog ===
ros-noetic-libpcan (0.6.18-1buster) buster; urgency=high



 -- Florian Weisshardt <fmw@ipa.fhg.de>  Thu, 28 Jul 2022 22:00:00 -0000

ros-noetic-libpcan (0.6.17-1buster) buster; urgency=high



 -- Florian Weisshardt <fmw@ipa.fhg.de>  Mon, 25 May 2020 22:00:00 -0000

ros-noetic-libpcan (0.6.16-1buster) buster; urgency=high

  * Merge pull request #109 <https://github.com/ipa320/cob_extern/issues/109> from fmessmer/noetic_release
    Noetic release
  * Bump CMake version to avoid CMP0048 warning
  * Contributors: Felix Messmer, fmessmer

 -- Florian Weisshardt <fmw@ipa.fhg.de>  Mon, 25 May 2020 22:00:00 -0000

ros-noetic-libpcan (0.6.15-1buster) buster; urgency=high



 -- Florian Weisshardt <fmw@ipa.fhg.de>  Tue, 17 Mar 2020 23:00:00 -0000

ros-noetic-libpcan (0.6.14-1buster) buster; urgency=high

  * Merge pull request #100 <https://github.com/ipa320/cob_extern/issues/100> from christian-rauch/rm_dep_header
    remove dependency on linux-headers-generic
  * remove dependency on linux-headers-generic
    rosdep key 'linux-headers-generic' will always install the "standard" kernel headers. On Ubuntu LTS, where kernels are updated with point
    releases, this will depend on the old kernel header files, while a newer kernel image might be booted.
  * Contributors: Christian Rauch, Felix Messmer

 -- Florian Weisshardt <fmw@ipa.fhg.de>  Wed, 06 Nov 2019 23:00:00 -0000

ros-noetic-libpcan (0.6.13-1buster) buster; urgency=high



 -- Florian Weisshardt <fmw@ipa.fhg.de>  Mon, 05 Aug 2019 22:00:00 -0000

ros-noetic-libpcan (0.6.12-1buster) buster; urgency=high

  * Merge pull request #92 <https://github.com/ipa320/cob_extern/issues/92> from ipa320/indigo_release_candidate
    Indigo release candidate
  * Contributors: Felix Messmer

 -- Florian Weisshardt <fmw@ipa.fhg.de>  Sat, 06 Jan 2018 23:00:00 -0000

ros-noetic-libpcan (0.6.11-1buster) buster; urgency=high

  * fix include_dirs in cmake_extras
  * use EXPORTED_TARGETS
  * final consistency
  * migrated libpcan to catkin-native wrapping
  * kernel source is not needed for building libpcan
  * update to newest peak driver version 8.3
  * Contributors: Benjamin Maidel, Mathias Lüdtke, ipa-fxm

 -- Florian Weisshardt <fmw@ipa.fhg.de>  Sun, 16 Jul 2017 22:00:00 -0000

ros-noetic-libpcan (0.6.10-1buster) buster; urgency=high

  * update changelog
  * manually fix changelogs
  * Contributors: ipa-fxm

 -- Florian Weisshardt <fmw@ipa.fhg.de>  Wed, 07 Dec 2016 23:00:00 -0000

ros-noetic-libpcan (0.6.9-1buster) buster; urgency=high



 -- Florian Weisshardt <fmw@ipa.fhg.de>  Sun, 23 Oct 2016 22:00:00 -0000

ros-noetic-libpcan (0.6.8-1buster) buster; urgency=high



 -- Florian Weisshardt <fmw@ipa.fhg.de>  Sun, 23 Oct 2016 22:00:00 -0000

ros-noetic-libpcan (0.6.7-1buster) buster; urgency=high



 -- Florian Weisshardt <fmw@ipa.fhg.de>  Wed, 19 Oct 2016 22:00:00 -0000

ros-noetic-libpcan (0.6.6-1buster) buster; urgency=high



 -- Florian Weisshardt <fmw@ipa.fhg.de>  Wed, 12 Oct 2016 22:00:00 -0000

ros-noetic-libpcan (0.6.5-1buster) buster; urgency=high



 -- Florian Weisshardt <fmw@ipa.fhg.de>  Sun, 09 Oct 2016 22:00:00 -0000

ros-noetic-libpcan (0.6.4-1buster) buster; urgency=high



 -- Florian Weisshardt <fmw@ipa.fhg.de>  Thu, 31 Mar 2016 22:00:00 -0000

ros-noetic-libpcan (0.6.3-1buster) buster; urgency=high



 -- Florian Weisshardt <fmw@ipa.fhg.de>  Sun, 30 Aug 2015 22:00:00 -0000

ros-noetic-libpcan (0.6.2-1buster) buster; urgency=high

  * catkin_linting and make all build_depends depends only
  * revert trailing whitespace in autogenerated headers
  * fix dependencies and find_package calls
  * remove mainpage.dox
  * fix trailing whitespace
  * libpcan: don't use CATKIN_GLOBAL_* in CMakeLists and fix includes such that headers can be installed only once
  * Install Tag and catkin_package adaptations
  * migrate to package format v2
  * Contributors: ipa-mig

 -- Florian Weisshardt <fmw@ipa.fhg.de>  Mon, 24 Aug 2015 22:00:00 -0000

ros-noetic-libpcan (0.6.1-1buster) buster; urgency=high



 -- Florian Weisshardt <fmw@ipa.fhg.de>  Wed, 27 May 2015 22:00:00 -0000

ros-noetic-libpcan (0.6.0-1buster) buster; urgency=high



 -- Florian Weisshardt <fmw@ipa.fhg.de>  Mon, 15 Sep 2014 22:00:00 -0000

ros-noetic-libpcan (0.5.3-1buster) buster; urgency=high

  * merge
  * fix install script
  * using version 7.9 of libpcan
  * Contributors: ipa-fmw, ipa-nhg

 -- Florian Weisshardt <fmw@ipa.fhg.de>  Sun, 24 Aug 2014 22:00:00 -0000

ros-noetic-libpcan (0.5.2-1buster) buster; urgency=high

  * Add missing rospack depends
  * Add missing find_package calls
  * Contributors: Scott K Logan

 -- Florian Weisshardt <fmw@ipa.fhg.de>  Wed, 19 Mar 2014 23:00:00 -0000

ros-noetic-libpcan (0.5.1-1buster) buster; urgency=high

  * add changelogs
  * Updatad libcan-7.9 installation and cleand some files.
  * missing builddep
  * added missing builddep
  * changed copy deps
  * Added another include and some more gefrickel
  * Added include files for cmake.
  * gefrickel ported to cmake
  * added patch for libpcan to compile with Linux kernel >=3.4
  * fixing runtime linking errors by introducing library versions
  * cob_extern is now cob_gefrickel :) did some cmake foo to be compatible to catkin
  * Catkinized version of stack.
    Needs checking of build flags in cob_drivers.
    Also includes updating of libphidgets to 2.1.8 for newer boards.
  * using tarball from willow server
  * Merge branch 'master' of github.com:ipa-nhg/cob_extern
  * Updated libpcan to driver 7.6
  * add CMakeLists.txt
  * Fixed errors in installation script
  * Modification in pcan installation script
  * add libpopt to rosdep
  * fuerte migration
  * activated dongle support for peaksys driver
  * update manifests
  * added md5sum file
  * changed . to -
  * updated to pcan 6.24 on wg servers
  * updated pcan version to 6.24
  * using wg tarballs
  * using tarball from wg for peak
  * cleanup in cob_extern
  * update documentation


=== debian/control ===
Source: ros-noetic-libpcan
Section: misc
Priority: optional
Maintainer: Florian Weisshardt <fmw@ipa.fhg.de>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin
Homepage: http://p103112.typo3server.info/fileadmin/media/linux/index.htm
Standards-Version: 3.9.2

Package: ros-noetic-libpcan
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, 
Description: This package wraps the libpcan to use it as a ros dependency

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-libpcan//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
